import { AssociationFragment } from "@/gql/graphql";
import { AssociationItem } from "./AssociationItem";
import styles from "./associationList.module.scss";

export const AssociationList = ({
  associations,
}: {
  associations: AssociationFragment[];
}) => {
  return (
    <ul className={styles.associationList}>
      {associations.map((association) => (
        <AssociationItem key={association.id} association={association} />
      ))}
    </ul>
  );
};
