"use client";
import { ImageSliderBlock as ImageSliderBlockType } from "@/gql/graphql";
import Image from "../general/Image";
import styles from "./imageSliderBlock.module.scss";

// import swiper modules & styles
import { Swiper, SwiperSlide } from "swiper/react";
import { Pagination, Navigation } from "swiper/modules";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import "./swiper.scss";

export const ImageSliderBlock = ({
  block,
  hero,
}: {
  block: ImageSliderBlockType | any;
  hero?: boolean;
}) => {
  return (
    <div className={styles.imageSliderBlock} data-hero={hero}>
      <Swiper
        pagination={{
          type: "fraction",
        }}
        navigation={true}
        modules={[Pagination, Navigation]}
        className="mySwiper"
      >
        {block.images &&
          block.images.map((imageItem: any, index: number) => (
            <SwiperSlide key={index}>
              <figure key={imageItem.image.id}>
                <Image
                  src={imageItem.image.url}
                  alt={imageItem.image.alt ?? ""}
                  width={imageItem.image.width}
                  height={imageItem.image.height}
                  // width={0}
                  // height={0}
                  // sizes="20vw"
                />
                {imageItem.text && <figcaption>{imageItem.text}</figcaption>}
              </figure>
            </SwiperSlide>
          ))}
      </Swiper>
    </div>
  );
};
